import { getSDK } from "../utils/setupSdk";

function findLatestDir(title, dirs) {
  const dir = dirs.filter(it => {
    return it.title === title;
  });
  return dir.shift();
}

export async function setDocToSpecToc({
  title,
  namespace,
  data
}) {
  const sdk = await getSDK();
  const res = await sdk.toc.setDocToSpecToc({
    namespace,
    data
  });
  const latestDir = findLatestDir(title, res);
  return latestDir;
}
export async function getSpecTocUUID({
  namespace,
  title
}) {
  const sdk = await getSDK();
  const list = await sdk.toc.getList(namespace);
  const toc = list.find(el => {
    return el.title === title;
  });
  return toc?.uuid ?? null;
}